/* dq_find - search deque for equal match to d, return ptr to match
 * Return NULL if no match
 */
#include "deque.h"
DQ_NODE *dq_find(dq, d, cmpfn)
	DQ_NODE *dq;
	DQ_NODE *d;
	int (*cmpfn)();						/*function for comparisons */
	{
	DQ_NODE *d2;

	EACH_DQ(dq, d2, DQ_NODE)
		if ((*cmpfn)(d2, d) == 0)
			return (d2);
	return (NULL);
	}
